Bug 1349100 - [packaging] pcs installation contains 1.2+ MB of redundant files
Summary: [packaging] pcs installation contains 1.2+ MB of redundant files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Ivan Devat
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-22 17:05 UTC by Jan Pokorný [poki]
Modified: 2017-08-01 18:22 UTC (History)
7 users (show)

Fixed In Version: pcs-0.9.156-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 18:22:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1958 normal SHIPPED_LIVE pcs bug fix and enhancement update 2017-08-01 18:09:47 UTC

Description Jan Pokorný [poki] 2016-06-22 17:05:35 UTC
# rpm -ql pcs | grep /cache
> /usr/lib/pcsd/vendor/bundle/ruby/cache
> /usr/lib/pcsd/vendor/bundle/ruby/cache/backports-3.6.8.gem
> /usr/lib/pcsd/vendor/bundle/ruby/cache/eventmachine-1.2.0.1.gem
> /usr/lib/pcsd/vendor/bundle/ruby/cache/multi_json-1.12.0.gem
> /usr/lib/pcsd/vendor/bundle/ruby/cache/open4-1.3.4.gem
> /usr/lib/pcsd/vendor/bundle/ruby/cache/orderedhash-0.0.6.gem
> /usr/lib/pcsd/vendor/bundle/ruby/cache/rack-1.6.4.gem
> /usr/lib/pcsd/vendor/bundle/ruby/cache/rack-protection-1.5.3.gem
> /usr/lib/pcsd/vendor/bundle/ruby/cache/rack-test-0.6.3.gem
> /usr/lib/pcsd/vendor/bundle/ruby/cache/rpam-ruby19-1.2.1.gem
> /usr/lib/pcsd/vendor/bundle/ruby/cache/sinatra-1.4.7.gem
> /usr/lib/pcsd/vendor/bundle/ruby/cache/sinatra-contrib-1.4.7.gem
> /usr/lib/pcsd/vendor/bundle/ruby/cache/tilt-2.0.3.gem
> /usr/lib/pcsd/vendor/cache
> /usr/lib/pcsd/vendor/cache/backports-3.6.8.gem
> /usr/lib/pcsd/vendor/cache/eventmachine-1.2.0.1.gem
> /usr/lib/pcsd/vendor/cache/multi_json-1.12.0.gem
> /usr/lib/pcsd/vendor/cache/open4-1.3.4.gem
> /usr/lib/pcsd/vendor/cache/orderedhash-0.0.6.gem
> /usr/lib/pcsd/vendor/cache/rack-1.6.4.gem
> /usr/lib/pcsd/vendor/cache/rack-protection-1.5.3.gem
> /usr/lib/pcsd/vendor/cache/rack-test-0.6.3.gem
> /usr/lib/pcsd/vendor/cache/rpam-ruby19-1.2.1.gem
> /usr/lib/pcsd/vendor/cache/sinatra-1.4.7.gem
> /usr/lib/pcsd/vendor/cache/sinatra-contrib-1.4.7.gem
> /usr/lib/pcsd/vendor/cache/tilt-2.0.3.gem

# stat "--print=%s\t%i\n" /usr/lib/pcsd/vendor/{bundle/ruby/,}cache/backports-3.6.8.gem
> 88064   26404886
> 88064   837126

# diff /usr/lib/pcsd/vendor/{bundle/ruby/,}cache/backports-3.6.8.gem && echo identical
> identical

# du -h /usr/lib/pcsd/vendor/{bundle/ruby/,}cache
> 1.2M    /usr/lib/pcsd/vendor/bundle/ruby/cache
> 1.2M    /usr/lib/pcsd/vendor/cache

# find /usr/lib/pcsd -type l
[nothing]

Comment 1 Jan Pokorný [poki] 2016-06-22 18:14:02 UTC
# rpm -q pcs
> pcs-0.9.152-2.el7.x86_64

When at it, please fix this longstanding, yet terrible typo:
# rpm -qi pcs | sed -n '/^Description /{:s;n;p;bs}'
> pcs is a corosync and pacemaker configuration tool.  It permits users to
> easily view, modify and created pacemaker based clusters.
                                ^

Comment 4 Ivan Devat 2017-02-20 08:41:27 UTC
After Fix:

[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.156-1.el7.x86_64

[vm-rhel72-1 ~] $ rpm -ql pcs | grep /cache
/usr/lib/pcsd/vendor/bundle/ruby/cache
/usr/lib/pcsd/vendor/bundle/ruby/cache/backports-3.6.8.gem
/usr/lib/pcsd/vendor/bundle/ruby/cache/ethon-0.10.1.gem
/usr/lib/pcsd/vendor/bundle/ruby/cache/ffi-1.9.17.gem
/usr/lib/pcsd/vendor/bundle/ruby/cache/multi_json-1.12.1.gem
/usr/lib/pcsd/vendor/bundle/ruby/cache/open4-1.3.4.gem
/usr/lib/pcsd/vendor/bundle/ruby/cache/orderedhash-0.0.6.gem
/usr/lib/pcsd/vendor/bundle/ruby/cache/rack-1.6.4.gem
/usr/lib/pcsd/vendor/bundle/ruby/cache/rack-protection-1.5.3.gem
/usr/lib/pcsd/vendor/bundle/ruby/cache/rack-test-0.6.3.gem
/usr/lib/pcsd/vendor/bundle/ruby/cache/rpam-ruby19-1.2.1.gem
/usr/lib/pcsd/vendor/bundle/ruby/cache/sinatra-1.4.8.gem
/usr/lib/pcsd/vendor/bundle/ruby/cache/sinatra-contrib-1.4.7.gem
/usr/lib/pcsd/vendor/bundle/ruby/cache/tilt-2.0.6.gem

Comment 7 errata-xmlrpc 2017-08-01 18:22:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1958


Note You need to log in before you can comment on or make changes to this bug.